

mm/slab.c:969: warning: `print_objinfo' defined but not used

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/slab.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN mm/slab.c~remove-ptrinfo-fix mm/slab.c
--- 25/mm/slab.c~remove-ptrinfo-fix	2004-09-02 21:42:03.705146352 -0700
+++ 25-akpm/mm/slab.c	2004-09-02 21:42:46.321667656 -0700
@@ -965,9 +965,10 @@ static void dump_line(char *data, int of
 }
 #endif
 
+#if DEBUG
+
 static void print_objinfo(kmem_cache_t *cachep, void *objp, int lines)
 {
-#if DEBUG
 	int i, size;
 	char *realobj;
 
@@ -978,8 +979,10 @@ static void print_objinfo(kmem_cache_t *
 	}
 
 	if (cachep->flags & SLAB_STORE_USER) {
-		printk(KERN_ERR "Last user: [<%p>]", *dbg_userword(cachep, objp));
-		print_symbol("(%s)", (unsigned long)*dbg_userword(cachep, objp));
+		printk(KERN_ERR "Last user: [<%p>]",
+				*dbg_userword(cachep, objp));
+		print_symbol("(%s)",
+				(unsigned long)*dbg_userword(cachep, objp));
 		printk("\n");
 	}
 	realobj = (char*)objp+obj_dbghead(cachep);
@@ -991,11 +994,8 @@ static void print_objinfo(kmem_cache_t *
 			limit = size-i;
 		dump_line(realobj, i, limit);
 	}
-#endif
 }
 
-#if DEBUG
-
 static void check_poison_obj(kmem_cache_t *cachep, void *objp)
 {
 	char *realobj;
_
